CREATE TABLE watchdog (wid INT NOT NULL AUTO_INCREMENT, uid INT DEFAULT 0 NOT NULL, type VARCHAR(16) NOT NULL, message TEXT NOT NULL, variables TEXT NOT NULL, severity TINYINT UNSIGNED DEFAULT 0 NOT NULL, link VARCHAR(255) NOT NULL, location TEXT NOT NULL, referer VARCHAR(128) NOT NULL, hostname VARCHAR(128) NOT NULL, timestamp INT DEFAULT 0 NOT NULL, INDEX uid_idx (uid), PRIMARY KEY(wid)) ENGINE = INNODB;
CREATE TABLE vocabulary_node_types (vid INT UNSIGNED DEFAULT 0 NOT NULL, type VARCHAR(32) NOT NULL, PRIMARY KEY(vid, type)) ENGINE = INNODB;
CREATE TABLE vocabulary (vid INT UNSIGNED NOT NULL AUTO_INCREMENT, name VARCHAR(255) NOT NULL, description TEXT, help VARCHAR(255) NOT NULL, relations TINYINT UNSIGNED DEFAULT 0 NOT NULL, hierarchy TINYINT UNSIGNED DEFAULT 0 NOT NULL, multiple TINYINT UNSIGNED DEFAULT 0 NOT NULL, required TINYINT UNSIGNED DEFAULT 0 NOT NULL, tags TINYINT UNSIGNED DEFAULT 0 NOT NULL, module VARCHAR(255) NOT NULL, weight TINYINT DEFAULT 0 NOT NULL, PRIMARY KEY(vid)) ENGINE = INNODB;
CREATE TABLE variable (name VARCHAR(128) NOT NULL, value TEXT NOT NULL, PRIMARY KEY(name)) ENGINE = INNODB;
CREATE TABLE users_roles (uid INT UNSIGNED DEFAULT 0 NOT NULL, rid INT UNSIGNED DEFAULT 0 NOT NULL, PRIMARY KEY(uid, rid)) ENGINE = INNODB;
CREATE TABLE users (uid INT UNSIGNED NOT NULL AUTO_INCREMENT, name VARCHAR(60) NOT NULL, pass VARCHAR(32) NOT NULL, mail VARCHAR(64), mode TINYINT DEFAULT 0 NOT NULL, sort TINYINT DEFAULT 0, threshold TINYINT DEFAULT 0, theme VARCHAR(255) NOT NULL, signature VARCHAR(255) NOT NULL, created INT DEFAULT 0 NOT NULL, access INT DEFAULT 0 NOT NULL, login INT DEFAULT 0 NOT NULL, status TINYINT DEFAULT 0 NOT NULL, timezone VARCHAR(8), language VARCHAR(12) NOT NULL, picture VARCHAR(255) NOT NULL, init VARCHAR(64), data TEXT, PRIMARY KEY(uid)) ENGINE = INNODB;
CREATE TABLE url_alias (pid INT UNSIGNED NOT NULL AUTO_INCREMENT, src VARCHAR(128) NOT NULL, dst VARCHAR(128) NOT NULL, language VARCHAR(12) NOT NULL, PRIMARY KEY(pid)) ENGINE = INNODB;
CREATE TABLE term_synonym (tsid INT NOT NULL AUTO_INCREMENT, tid INT UNSIGNED DEFAULT 0 NOT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(tsid)) ENGINE = INNODB;
CREATE TABLE term_relation (trid INT NOT NULL AUTO_INCREMENT, tid1 INT UNSIGNED DEFAULT 0 NOT NULL, tid2 INT UNSIGNED DEFAULT 0 NOT NULL, INDEX tid1_idx (tid1), INDEX term_data_id_idx (term_data_id), PRIMARY KEY(trid)) ENGINE = INNODB;
CREATE TABLE term_node (nid INT UNSIGNED DEFAULT 0 NOT NULL, vid INT UNSIGNED DEFAULT 0 NOT NULL, tid INT UNSIGNED DEFAULT 0 NOT NULL, INDEX nid_idx (nid), PRIMARY KEY(vid, tid)) ENGINE = INNODB;
CREATE TABLE term_hierarchy (tid INT UNSIGNED DEFAULT 0 NOT NULL, parent INT UNSIGNED DEFAULT 0 NOT NULL, PRIMARY KEY(tid, parent)) ENGINE = INNODB;
CREATE TABLE term_data (tid INT UNSIGNED NOT NULL AUTO_INCREMENT, vid INT UNSIGNED DEFAULT 0 NOT NULL, name VARCHAR(255) NOT NULL, description TEXT, weight TINYINT DEFAULT 0 NOT NULL, INDEX vid_idx (vid), PRIMARY KEY(tid)) ENGINE = INNODB;
CREATE TABLE system (filename VARCHAR(255) NOT NULL, name VARCHAR(255) NOT NULL, type VARCHAR(255) NOT NULL, owner VARCHAR(255) NOT NULL, status INT DEFAULT 0 NOT NULL, throttle TINYINT DEFAULT 0 NOT NULL, bootstrap INT DEFAULT 0 NOT NULL, schema_version SMALLINT DEFAULT -1 NOT NULL, weight INT DEFAULT 0 NOT NULL, info TEXT, PRIMARY KEY(filename)) ENGINE = INNODB;
CREATE TABLE sessions (uid INT UNSIGNED DEFAULT 0 NOT NULL, sid VARCHAR(64) NOT NULL, hostname VARCHAR(128) NOT NULL, timestamp INT DEFAULT 0 NOT NULL, cache INT DEFAULT 0 NOT NULL, session TEXT, INDEX uid_idx (uid), PRIMARY KEY(sid)) ENGINE = INNODB;
CREATE TABLE role (rid INT UNSIGNED NOT NULL AUTO_INCREMENT, name VARCHAR(64) NOT NULL, PRIMARY KEY(rid)) ENGINE = INNODB;
CREATE TABLE permission (pid INT NOT NULL AUTO_INCREMENT, rid INT UNSIGNED DEFAULT 0 NOT NULL, perm TEXT, tid INT UNSIGNED DEFAULT 0 NOT NULL, INDEX rid_idx (rid), PRIMARY KEY(pid)) ENGINE = INNODB;
CREATE TABLE node_type (type VARCHAR(32) NOT NULL, name VARCHAR(255) NOT NULL, module VARCHAR(255) NOT NULL, description TEXT NOT NULL, help TEXT NOT NULL, has_title TINYINT UNSIGNED DEFAULT 0 NOT NULL, title_label VARCHAR(255) NOT NULL, has_body TINYINT UNSIGNED DEFAULT 0 NOT NULL, body_label VARCHAR(255) NOT NULL, min_word_count SMALLINT UNSIGNED DEFAULT 0 NOT NULL, custom TINYINT DEFAULT 0 NOT NULL, modified TINYINT DEFAULT 0 NOT NULL, locked TINYINT DEFAULT 0 NOT NULL, orig_type VARCHAR(255) NOT NULL, PRIMARY KEY(type)) ENGINE = INNODB;
CREATE TABLE node_revisions (nid INT UNSIGNED DEFAULT 0 NOT NULL, vid INT UNSIGNED NOT NULL AUTO_INCREMENT, uid INT DEFAULT 0 NOT NULL, title VARCHAR(255) NOT NULL, body LONGBLOB NOT NULL, teaser LONGBLOB NOT NULL, log TEXT NOT NULL, timestamp INT DEFAULT 0 NOT NULL, format INT DEFAULT 0 NOT NULL, INDEX nid_idx (nid), INDEX uid_idx (uid), PRIMARY KEY(vid)) ENGINE = INNODB;
CREATE TABLE node_counter (nid INT DEFAULT 0 NOT NULL, totalcount BIGINT UNSIGNED DEFAULT 0 NOT NULL, daycount MEDIUMINT UNSIGNED DEFAULT 0 NOT NULL, timestamp INT UNSIGNED DEFAULT 0 NOT NULL, PRIMARY KEY(nid)) ENGINE = INNODB;
CREATE TABLE node_comment_statistics (nid INT UNSIGNED DEFAULT 0 NOT NULL, last_comment_timestamp INT DEFAULT 0 NOT NULL, last_comment_name VARCHAR(60), last_comment_uid INT DEFAULT 0 NOT NULL, comment_count INT UNSIGNED DEFAULT 0 NOT NULL, INDEX last_comment_uid_idx (last_comment_uid), PRIMARY KEY(nid)) ENGINE = INNODB;
CREATE TABLE node_access (nid INT UNSIGNED DEFAULT 0 NOT NULL, gid INT UNSIGNED DEFAULT 0 NOT NULL, realm VARCHAR(255) NOT NULL, grant_view TINYINT UNSIGNED DEFAULT 0 NOT NULL, grant_update TINYINT UNSIGNED DEFAULT 0 NOT NULL, grant_delete TINYINT UNSIGNED DEFAULT 0 NOT NULL, PRIMARY KEY(nid, gid, realm)) ENGINE = INNODB;
CREATE TABLE node (nid INT UNSIGNED NOT NULL AUTO_INCREMENT, vid INT UNSIGNED DEFAULT 0 NOT NULL, type VARCHAR(32) NOT NULL, language VARCHAR(12) NOT NULL, title VARCHAR(255) NOT NULL, uid INT DEFAULT 0 NOT NULL, status INT DEFAULT 1 NOT NULL, created INT DEFAULT 0 NOT NULL, changed INT DEFAULT 0 NOT NULL, comment INT DEFAULT 0 NOT NULL, promote INT DEFAULT 0 NOT NULL, moderate INT DEFAULT 0 NOT NULL, sticky INT DEFAULT 0 NOT NULL, tnid INT UNSIGNED DEFAULT 0 NOT NULL, translate INT DEFAULT 0 NOT NULL, INDEX type_idx (type), INDEX uid_idx (uid), PRIMARY KEY(nid)) ENGINE = INNODB;
CREATE TABLE menu_router (path VARCHAR(255) NOT NULL, load_functions VARCHAR(255) NOT NULL, to_arg_functions VARCHAR(255) NOT NULL, access_callback VARCHAR(255) NOT NULL, access_arguments TEXT, page_callback VARCHAR(255) NOT NULL, page_arguments TEXT, fit INT DEFAULT 0 NOT NULL, number_parts SMALLINT DEFAULT 0 NOT NULL, tab_parent VARCHAR(255) NOT NULL, tab_root VARCHAR(255) NOT NULL, title VARCHAR(255) NOT NULL, title_callback VARCHAR(255) NOT NULL, title_arguments VARCHAR(255) NOT NULL, type INT DEFAULT 0 NOT NULL, block_callback VARCHAR(255) NOT NULL, description TEXT NOT NULL, position VARCHAR(255) NOT NULL, weight INT DEFAULT 0 NOT NULL, file TEXT, PRIMARY KEY(path)) ENGINE = INNODB;
CREATE TABLE menu_links (menu_name VARCHAR(32) NOT NULL, mlid INT UNSIGNED NOT NULL AUTO_INCREMENT, plid INT UNSIGNED DEFAULT 0 NOT NULL, link_path VARCHAR(255) NOT NULL, router_path VARCHAR(255) NOT NULL, link_title VARCHAR(255) NOT NULL, options TEXT, module VARCHAR(255) DEFAULT 'system' NOT NULL, hidden SMALLINT DEFAULT 0 NOT NULL, external SMALLINT DEFAULT 0 NOT NULL, has_children SMALLINT DEFAULT 0 NOT NULL, expanded SMALLINT DEFAULT 0 NOT NULL, weight INT DEFAULT 0 NOT NULL, depth SMALLINT DEFAULT 0 NOT NULL, customized SMALLINT DEFAULT 0 NOT NULL, p1 INT UNSIGNED DEFAULT 0 NOT NULL, p2 INT UNSIGNED DEFAULT 0 NOT NULL, p3 INT UNSIGNED DEFAULT 0 NOT NULL, p4 INT UNSIGNED DEFAULT 0 NOT NULL, p5 INT UNSIGNED DEFAULT 0 NOT NULL, p6 INT UNSIGNED DEFAULT 0 NOT NULL, p7 INT UNSIGNED DEFAULT 0 NOT NULL, p8 INT UNSIGNED DEFAULT 0 NOT NULL, p9 INT UNSIGNED DEFAULT 0 NOT NULL, updated SMALLINT DEFAULT 0 NOT NULL, PRIMARY KEY(mlid)) ENGINE = INNODB;
CREATE TABLE menu_custom (menu_name VARCHAR(32) NOT NULL, title VARCHAR(255) NOT NULL, description TEXT, PRIMARY KEY(menu_name)) ENGINE = INNODB;
CREATE TABLE history (uid INT DEFAULT 0 NOT NULL, nid INT DEFAULT 0 NOT NULL, timestamp INT DEFAULT 0 NOT NULL, PRIMARY KEY(uid, nid)) ENGINE = INNODB;
CREATE TABLE flood (fid INT NOT NULL AUTO_INCREMENT, event VARCHAR(64) NOT NULL, hostname VARCHAR(128) NOT NULL, timestamp INT DEFAULT 0 NOT NULL, PRIMARY KEY(fid)) ENGINE = INNODB;
CREATE TABLE filters (fid INT NOT NULL AUTO_INCREMENT, format INT DEFAULT 0 NOT NULL, module VARCHAR(64) NOT NULL, delta TINYINT DEFAULT 0 NOT NULL, weight TINYINT DEFAULT 0 NOT NULL, INDEX format_idx (format), PRIMARY KEY(fid)) ENGINE = INNODB;
CREATE TABLE filter_formats (format INT NOT NULL AUTO_INCREMENT, name VARCHAR(255) NOT NULL, roles VARCHAR(255) NOT NULL, cache TINYINT DEFAULT 0 NOT NULL, PRIMARY KEY(format)) ENGINE = INNODB;
CREATE TABLE files (fid INT UNSIGNED NOT NULL AUTO_INCREMENT, uid INT UNSIGNED DEFAULT 0 NOT NULL, filename VARCHAR(255) NOT NULL, filepath VARCHAR(255) NOT NULL, filemime VARCHAR(255) NOT NULL, filesize INT UNSIGNED DEFAULT 0 NOT NULL, status INT DEFAULT 0 NOT NULL, timestamp INT UNSIGNED DEFAULT 0 NOT NULL, INDEX uid_idx (uid), PRIMARY KEY(fid)) ENGINE = INNODB;
CREATE TABLE comments (cid INT NOT NULL AUTO_INCREMENT, pid INT DEFAULT 0 NOT NULL, nid INT DEFAULT 0 NOT NULL, uid INT DEFAULT 0 NOT NULL, subject VARCHAR(64) NOT NULL, comment LONGBLOB NOT NULL, hostname VARCHAR(128) NOT NULL, timestamp INT DEFAULT 0 NOT NULL, status TINYINT UNSIGNED DEFAULT 0 NOT NULL, format SMALLINT DEFAULT 0 NOT NULL, thread VARCHAR(255) NOT NULL, name VARCHAR(60), mail VARCHAR(64), homepage VARCHAR(255), INDEX pid_idx (pid), INDEX nid_idx (nid), INDEX uid_idx (uid), PRIMARY KEY(cid)) ENGINE = INNODB;
CREATE TABLE cache_update (cid VARCHAR(255) NOT NULL, data LONGBLOB, expire INT DEFAULT 0 NOT NULL, created INT DEFAULT 0 NOT NULL, headers TEXT, serialized SMALLINT DEFAULT 0 NOT NULL, PRIMARY KEY(cid)) ENGINE = INNODB;
CREATE TABLE cache_page (cid VARCHAR(255) NOT NULL, data LONGBLOB, expire INT DEFAULT 0 NOT NULL, created INT DEFAULT 0 NOT NULL, headers TEXT, serialized SMALLINT DEFAULT 0 NOT NULL, PRIMARY KEY(cid)) ENGINE = INNODB;
CREATE TABLE cache_menu (cid VARCHAR(255) NOT NULL, data LONGBLOB, expire INT DEFAULT 0 NOT NULL, created INT DEFAULT 0 NOT NULL, headers TEXT, serialized SMALLINT DEFAULT 0 NOT NULL, PRIMARY KEY(cid)) ENGINE = INNODB;
CREATE TABLE cache_form (cid VARCHAR(255) NOT NULL, data LONGBLOB, expire INT DEFAULT 0 NOT NULL, created INT DEFAULT 0 NOT NULL, headers TEXT, serialized SMALLINT DEFAULT 0 NOT NULL, PRIMARY KEY(cid)) ENGINE = INNODB;
CREATE TABLE cache_filter (cid VARCHAR(255) NOT NULL, data LONGBLOB, expire INT DEFAULT 0 NOT NULL, created INT DEFAULT 0 NOT NULL, headers TEXT, serialized SMALLINT DEFAULT 0 NOT NULL, PRIMARY KEY(cid)) ENGINE = INNODB;
CREATE TABLE cache_block (cid VARCHAR(255) NOT NULL, data LONGBLOB, expire INT DEFAULT 0 NOT NULL, created INT DEFAULT 0 NOT NULL, headers TEXT, serialized SMALLINT DEFAULT 0 NOT NULL, PRIMARY KEY(cid)) ENGINE = INNODB;
CREATE TABLE cache (cid VARCHAR(255) NOT NULL, data LONGBLOB, expire INT DEFAULT 0 NOT NULL, created INT DEFAULT 0 NOT NULL, headers TEXT, serialized SMALLINT DEFAULT 0 NOT NULL, PRIMARY KEY(cid)) ENGINE = INNODB;
CREATE TABLE boxes (bid INT UNSIGNED NOT NULL AUTO_INCREMENT, body LONGBLOB, info VARCHAR(128) NOT NULL, format SMALLINT DEFAULT 0 NOT NULL, PRIMARY KEY(bid)) ENGINE = INNODB;
CREATE TABLE blocks_roles (module VARCHAR(64) NOT NULL, delta VARCHAR(32) NOT NULL, rid INT UNSIGNED DEFAULT 0 NOT NULL, PRIMARY KEY(module, delta, rid)) ENGINE = INNODB;
CREATE TABLE blocks (bid INT NOT NULL AUTO_INCREMENT, module VARCHAR(64) NOT NULL, delta VARCHAR(32) DEFAULT '0' NOT NULL, theme VARCHAR(64) NOT NULL, status TINYINT DEFAULT 0 NOT NULL, weight TINYINT DEFAULT 0 NOT NULL, region VARCHAR(64) NOT NULL, custom TINYINT DEFAULT 0 NOT NULL, throttle TINYINT DEFAULT 0 NOT NULL, visibility TINYINT DEFAULT 0 NOT NULL, pages TEXT NOT NULL, title VARCHAR(64) NOT NULL, cache TINYINT DEFAULT 1 NOT NULL, PRIMARY KEY(bid)) ENGINE = INNODB;
CREATE TABLE batch (bid INT UNSIGNED NOT NULL AUTO_INCREMENT, token VARCHAR(64) NOT NULL, timestamp INT DEFAULT 0 NOT NULL, batch TEXT, PRIMARY KEY(bid)) ENGINE = INNODB;
CREATE TABLE authmap (aid INT UNSIGNED NOT NULL AUTO_INCREMENT, uid INT DEFAULT 0 NOT NULL, authname VARCHAR(128) NOT NULL, module VARCHAR(128) NOT NULL, INDEX uid_idx (uid), PRIMARY KEY(aid)) ENGINE = INNODB;
CREATE TABLE actions_aid (aid INT UNSIGNED NOT NULL AUTO_INCREMENT, PRIMARY KEY(aid)) ENGINE = INNODB;
CREATE TABLE actions (aid VARCHAR(255) DEFAULT '0' NOT NULL, type VARCHAR(32) NOT NULL, callback VARCHAR(255) NOT NULL, parameters TEXT NOT NULL, description VARCHAR(255) DEFAULT '0' NOT NULL, PRIMARY KEY(aid)) ENGINE = INNODB;
CREATE TABLE access (aid INT NOT NULL AUTO_INCREMENT, mask VARCHAR(255) NOT NULL, type VARCHAR(255) NOT NULL, status TINYINT DEFAULT 0 NOT NULL, PRIMARY KEY(aid)) ENGINE = INNODB;
ALTER TABLE watchdog ADD FOREIGN KEY (uid) REFERENCES users(uid);
ALTER TABLE users_roles ADD FOREIGN KEY (uid) REFERENCES users(uid);
ALTER TABLE users_roles ADD FOREIGN KEY (rid) REFERENCES role(rid);
ALTER TABLE term_relation ADD FOREIGN KEY (tid1) REFERENCES term_data(tid);
ALTER TABLE term_relation ADD FOREIGN KEY (term_data_id) REFERENCES term_data(tid);
ALTER TABLE term_node ADD FOREIGN KEY (tid) REFERENCES vocabulary(tid);
ALTER TABLE term_node ADD FOREIGN KEY (nid) REFERENCES term_data(tid);
ALTER TABLE term_node ADD FOREIGN KEY (nid) REFERENCES node(nid);
ALTER TABLE term_hierarchy ADD FOREIGN KEY (tid) REFERENCES term_data(tid);
ALTER TABLE term_hierarchy ADD FOREIGN KEY (parent) REFERENCES term_data(tid);
ALTER TABLE term_data ADD FOREIGN KEY (vid) REFERENCES vocabulary(vid);
ALTER TABLE sessions ADD FOREIGN KEY (uid) REFERENCES users(uid);
ALTER TABLE permission ADD FOREIGN KEY (rid) REFERENCES role(rid);
ALTER TABLE node_revisions ADD FOREIGN KEY (uid) REFERENCES users(uid);
ALTER TABLE node_revisions ADD FOREIGN KEY (nid) REFERENCES node(nid);
ALTER TABLE node_comment_statistics ADD FOREIGN KEY (last_comment_uid) REFERENCES users(uid);
ALTER TABLE node_access ADD FOREIGN KEY (nid) REFERENCES node(nid);
ALTER TABLE node ADD FOREIGN KEY (uid) REFERENCES users(uid);
ALTER TABLE node ADD FOREIGN KEY (type) REFERENCES node_type(type);
ALTER TABLE history ADD FOREIGN KEY (nid) REFERENCES node(nid);
ALTER TABLE filters ADD FOREIGN KEY (format) REFERENCES filter_formats(format);
ALTER TABLE files ADD FOREIGN KEY (uid) REFERENCES users(uid);
ALTER TABLE comments ADD FOREIGN KEY (uid) REFERENCES users(uid);
ALTER TABLE comments ADD FOREIGN KEY (pid) REFERENCES permission(pid);
ALTER TABLE comments ADD FOREIGN KEY (nid) REFERENCES node(nid);
ALTER TABLE blocks_roles ADD FOREIGN KEY (rid) REFERENCES role(rid);
ALTER TABLE authmap ADD FOREIGN KEY (uid) REFERENCES users(uid);
